"""
cbr-qualifier

Usage:
  cbr-qualifier [--help] <command> [<args>...]

Options:
  -h --help                         Show this screen.

Examples:
  cbr-qualifier disk

Help:

Availiable commands are:
    disk    Run The disk tests

See 'cb-qualifier <command> --help' for more information on a specific command.

  For help using this tool, please contact cb support
"""

from docopt import docopt


def main():
    """Main CLI entrypoint.

    So far we have only implemented a disk subcommand, but there are plans for more in the future.
     System stats gathering, cpu benchmark, memory benchmark, etc.

    """
    options = docopt(__doc__, options_first=True)
    argv = [options['<command>']] + options['<args>']
    if options['<command>'] == 'disk':
        from cbr_qualifier.tools.commands import disk
        disk.main(argv)


if __name__ == '__main__':
    main()
